Bug 1128945 - Review Request: mod_auth_gssapi - A SPNEGO/GSSAPI Authentication module for Apache
Summary: Review Request: mod_auth_gssapi - A SPNEGO/GSSAPI Authentication module for A...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Bokovoy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 22:32 UTC by Simo Sorce
Modified: 2014-08-15 18:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 18:57:40 UTC
abokovoy: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Simo Sorce 2014-08-11 22:32:02 UTC
Spec URL: https://simo.fedorapeople.org/reviews/mod_auth_gssapi.spec
SRPM URL: https://simo.fedorapeople.org/reviews/mod_auth_gssapi-1.0.0-1.fc20.src.rpm
Description: A SPNEGO/GSSAPI Authentication module for Apache
Fedora Account System Username: simo

Comment 1 Alexander Bokovoy 2014-08-14 11:17:43 UTC
I'm doing the review of mod_auth_gssapi.

I've did get it successfully running on Fedora 20 with a small patch I pushed to github and raised as a pull request upstream. With this fix and need to fix Description for typos, I think this package is ready for Fedora.

We'll work upstream to get more documentation.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Package functions as described.
     Package requires explicit linking against openssl (pull request is sent upstream)
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
     Description needs fixes:
	modauht_gssapi -> mod_auth_gssapi
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.



Requires
--------
mod_auth_gssapi (rpmlib, GLIBC filtered):
    config(mod_auth_gssapi)
    httpd-mmn
    krb5-libs
    libapr-1.so.0()(64bit)
    libc.so.6()(64bit)
    libcom_err.so.2()(64bit)
    libdl.so.2()(64bit)
    libgssapi_krb5.so.2()(64bit)
    libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit)
    libk5crypto.so.3()(64bit)
    libkrb5.so.3()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
mod_auth_gssapi:
    config(mod_auth_gssapi)
    mod_auth_gssapi
    mod_auth_gssapi(x86-64)

Unversioned so-files
--------------------
mod_auth_gssapi: /usr/lib64/httpd/modules/mod_auth_gssapi.so

Source checksums
----------------
https://github.com/modauthgssapi/mod_auth_gssapi/releases/download/v1.0.0/mod_auth_gssapi-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 5a43fb7be00d6ce4c9a2908b6df610fcfc9e1a72ae2fe5fdd524af1cf0c05c5b
  CHECKSUM(SHA256) upstream package : 5a43fb7be00d6ce4c9a2908b6df610fcfc9e1a72ae2fe5fdd524af1cf0c05c5b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n mod_auth_gssapi-1.0.0-1.fc20.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Alexander Bokovoy 2014-08-14 12:33:53 UTC
Moving to a formal review

Comment 3 Simo Sorce 2014-08-14 12:43:12 UTC
Ok I fixed the typos, added a couple of patches from upstream and uploaded revised spec and srpm files for review.

Comment 4 Simo Sorce 2014-08-14 13:08:24 UTC
After a brief consultation I released upstream a new 1.0.1 version so we can drop patches from the review srpm.

Here are new srpm and spec files:
Spec URL: https://simo.fedorapeople.org/reviews/mod_auth_gssapi.spec
SRPM URL: https://simo.fedorapeople.org/reviews/mod_auth_gssapi-1.0.1-1.fc20.src.rpm

Comment 5 Alexander Bokovoy 2014-08-14 13:24:51 UTC
Now review passes except know GitHub issue of giving out 403 error code when just checking the existence of an URL. If you use wget or a browser to download sources, they will be returned properly (redirected to the actual download), but HEAD request always gives 403 Forbidden.

I don't consider this a problem for the review, it is clearly github issue, not mod_auth_gssapi itself.

Comment 6 Alexander Bokovoy 2014-08-14 13:27:37 UTC
Simo, you can request SCM import.

Comment 7 Simo Sorce 2014-08-14 19:50:51 UTC
New Package SCM Request
=======================
Package Name: mod_auth_gssapi
Short Description: A SPNEGO/GSSAPI Authentication module for Apache
Upstream URL: https://github.com/modauthgssapi/mod_auth_gssapi
Owners: simo
Branches: master, F21
InitialCC: -

Comment 8 Gwyn Ciesla 2014-08-15 11:53:54 UTC
Git done (by process-git-requests).

Comment 9 Simo Sorce 2014-08-15 12:46:05 UTC
srpm imported

Comment 10 Simo Sorce 2014-08-15 18:57:40 UTC
Built in Rawhide and F21


Note You need to log in before you can comment on or make changes to this bug.